View Issue Details

IDProjectCategoryLast Update
0019243AI War 2[All Projects] Bug - OtherOct 7, 2017 8:52 pm
ReporterBurnstreetAssigned Tokeith.lamothe 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.522 
Fixed in Version0.524 
Summary0019243: Cannot load saves with new filename format
DescriptionIf I try to load a file with the new filename format, I can click the file name all I want, I only get an error message in the log:
10/4/2017 9:46:38 PM File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save

loading old save files works fine
TagsNo tags attached.

Activities

Burnstreet

Oct 4, 2017 3:59 pm

reporter  

Save.7z (577,166 bytes)
ArcenDebugLog.txt (17,239 bytes)
3/5/2017 7:52:52 PM	World Created, Launching Server
3/5/2017 7:52:53 PM	Successfully opened host socket
3/5/2017 8:32:59 PM	Shutting Down Socket
3/5/2017 8:32:59 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/5/2017 8:32:59 PM	Successfully opened client socket
3/5/2017 8:33:08 PM	Shutting Down Socket
3/5/2017 8:33:08 PM	World Created, Launching Server
3/5/2017 8:33:08 PM	Successfully opened host socket
3/5/2017 8:39:40 PM	Shutting Down Socket
3/5/2017 8:39:40 PM	PLAYER DISCONNECTED 0.0.0.0=>0
4/8/2017 11:15:37 PM	RunInitialSetup for AIWarExternalCode.
4/8/2017 11:15:42 PM	World Created, Launching Server
4/8/2017 11:15:42 PM	Successfully opened host socket
4/8/2017 11:17:27 PM	Shutting Down Socket
4/8/2017 11:17:27 PM	PLAYER DISCONNECTED 0.0.0.0=>0
4/8/2017 11:17:27 PM	World Created, Launching Server
4/8/2017 11:17:28 PM	Successfully opened host socket
4/8/2017 11:21:26 PM	Shutting Down Socket
4/8/2017 11:21:26 PM	PLAYER DISCONNECTED 0.0.0.0=>0
6/21/2017 11:29:27 PM	Calling RunInitialSetup for AIWarExternalCode.InitialSetupForDLL from AIWarExternalCode
6/21/2017 11:29:27 PM	Finished calling RunInitialSetup for AIWarExternalCode.InitialSetupForDLL from AIWarExternalCode
6/21/2017 11:29:27 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
6/21/2017 11:29:42 PM	World Created, Launching Server
6/21/2017 11:29:42 PM	Successfully opened host socket
6/21/2017 11:39:16 PM	Shutting Down Socket
6/21/2017 11:39:16 PM	PLAYER DISCONNECTED 0.0.0.0=>0
8/12/2017 2:13:29 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
8/12/2017 2:13:29 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
8/12/2017 2:13:29 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/28/2017 12:15:19 AM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/28/2017 12:15:19 AM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/28/2017 12:15:22 AM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/28/2017 12:15:45 AM	World Created, Launching Server
9/28/2017 12:15:45 AM	Successfully opened host socket
9/28/2017 12:22:14 AM	Shutting Down Socket
9/28/2017 12:22:14 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/28/2017 12:22:34 AM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/28/2017 12:22:34 AM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/28/2017 12:22:37 AM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/28/2017 12:33:23 AM	World Created, Launching Server
9/28/2017 12:33:23 AM	Successfully opened host socket
9/28/2017 1:21:59 AM	Shutting Down Socket
9/28/2017 1:21:59 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2017 11:34:18 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/29/2017 11:34:18 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/29/2017 11:34:22 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/29/2017 11:34:32 PM	World Created, Launching Server
9/29/2017 11:34:32 PM	Successfully opened host socket
9/30/2017 12:18:33 AM	Shutting Down Socket
9/30/2017 12:18:33 AM	PLAYER DISCONNECTED 0.0.0.0=>0
10/3/2017 10:32:42 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
10/3/2017 10:32:42 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
10/3/2017 10:32:46 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
10/3/2017 10:32:52 PM	World Created, Launching Server
10/3/2017 10:32:53 PM	Successfully opened host socket
10/3/2017 10:47:05 PM	Shutting Down Socket
10/3/2017 10:47:05 PM	PLAYER DISCONNECTED 0.0.0.0=>0
10/4/2017 9:45:55 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
10/4/2017 9:45:55 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
10/4/2017 9:45:59 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
10/4/2017 9:46:27 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:30 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:30 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:31 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:32 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:32 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:32 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:34 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:34 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:35 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:35 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:36 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:36 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:36 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:37 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:37 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:38 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:38 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:38 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:39 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:39 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:40 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:40 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:41 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:46:44 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:46:44 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:46:45 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc~#LT#656191788#853#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc.save
10/4/2017 9:46:45 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/devourer_near_dead~#LT#656191788#333#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/devourer_near_dead.save
10/4/2017 9:46:46 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc~#LT#656191788#853#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc.save
10/4/2017 9:46:46 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:46:51 PM	Successfully opened host socket
10/4/2017 9:47:08 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:47:09 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:47:09 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:47:09 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:47:09 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:47:12 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:47:12 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:47:12 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:47:12 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:47:13 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:47:20 PM	Shutting Down Socket
10/4/2017 9:47:20 PM	PLAYER DISCONNECTED 0.0.0.0=>0
10/4/2017 9:47:20 PM	Successfully opened host socket
10/4/2017 9:50:18 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wtf_happened_to_my_fleet.save
10/4/2017 9:50:25 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/devourer_near_dead~#LT#656191788#333#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/devourer_near_dead.save
10/4/2017 9:50:25 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/devourer_near_dead~#LT#656191788#333#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/devourer_near_dead.save
10/4/2017 9:50:26 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc~#LT#656191788#853#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc.save
10/4/2017 9:50:26 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc~#LT#656191788#853#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_inc.save
10/4/2017 9:50:27 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
10/4/2017 9:50:28 PM	File does not exist
path="C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there~#LT#656191788#889#second#Vanilla#Normal.save"
oldPath=C:/Steam/steamapps/common/AI War 2/PlayerData/Save/wave_there.save
ArcenDebugLog.txt (17,239 bytes)

BadgerBadger

Oct 5, 2017 9:10 am

reporter   ~0046491

So just to be clear, if you have a file named "wtf_happened_to_my_fleet~#LT#656191788#732#weird#Vanilla#Normal.save" in the AIWar2/PlayerData/Save directory, it does not load, you get "File does not exist". If you rename it to "wtf_happened_to_my_fleet.save" then it works?

Burnstreet

Oct 5, 2017 9:12 am

reporter   ~0046492

yep

BadgerBadger

Oct 5, 2017 11:04 am

reporter   ~0046495

I can load the game without a problem on my machine.

Here's the code for this in Window_LoadGame.cs (slightly simplified for readability)

public override MouseHandlingResult HandleClick()
{
                string SaveName = this.SaveGame.ToString();
                string oldSaveName = this.SaveGame.saveName;
                string path = Engine_Universal.CurrentPlayerDataDirectory + "Save/" + SaveName + Engine_Universal.SaveExtension;
                string oldPath = Engine_Universal.CurrentPlayerDataDirectory + "Save/" + oldSaveName + Engine_Universal.SaveExtension;
  < The oldPath code is in there for backwards compatibility for save games generated before the Campaign based saves existed >
                if ( path.Contains( " " ) )
                {
                    path = "\"" + path + "\"";
                }
                 if ( File.Exists( path ) )
                    Engine_Universal.LoadGame( SaveName );
                else if ( File.Exists( oldPath ) )
                    Engine_Universal.LoadGame( oldSaveName );
                else
                {
                    ArcenDebugging.ArcenDebugLogSingleLine( "File does not exist" + Environment.NewLine + "path=" + path + Environment.NewLine + "oldPath=" +\
 oldPath, Verbosity.DoNotShow );
                    return MouseHandlingResult.PlayClickDeniedSound;
                }
}

I note that there are spaces in the path for your save games. Hypothesis: the code that puts quotes around the path (which I wanted in for OSX/Linux) might not be happy on Windows. Unfortunately I don't have a windows box to test this on.

BadgerBadger

Oct 5, 2017 11:05 am

reporter   ~0046496

This conjecture is strengthened by the fact that the oldPath never gets wrapped in quotes and that path works for Burnstreet.

BadgerBadger

Oct 6, 2017 12:43 pm

reporter   ~0046497

Proposed fix: Remove
                 if ( path.Contains( " " ) )
                {
                    path = "\"" + path + "\"";
                }
It seems to make windows unhappy. And some quick experiments at least on linux suggest it might not be necessary at all.

RabidSanity

Oct 6, 2017 7:45 pm

reporter   ~0046499

I am having the same issue in Linux.

keith.lamothe

Oct 7, 2017 4:18 pm

administrator   ~0046503

For 0.524:

* Fixed a bug that prevented loading saves where the absolute path has spaces in it, on Windows at least.

Thanks :)

jmuzz

Oct 7, 2017 7:06 pm

reporter   ~0046506

I ran into this too. Can I add, steam automatically installs in a folder called "AI War 2" with spaces so probably most users aren't able to load their saves right now.

BadgerBadger

Oct 7, 2017 7:12 pm

reporter   ~0046507

I introduced this bug in code that was added to the game July 1st (.501), so I'm honestly quite surprised we didn't notice this till now. I think there must be more OSX/Linux players than I thought!

In my defense, it works fine on Linux which is my development environment.

RabidSanity

Oct 7, 2017 8:52 pm

reporter   ~0046508

I can confirm that this is fixed on linux in 0.524.

Issue History

Date Modified Username Field Change
Oct 4, 2017 3:59 pm Burnstreet New Issue
Oct 4, 2017 3:59 pm Burnstreet File Added: ArcenDebugLog.txt
Oct 4, 2017 3:59 pm Burnstreet File Added: Save.7z
Oct 5, 2017 9:10 am BadgerBadger Note Added: 0046491
Oct 5, 2017 9:12 am Burnstreet Note Added: 0046492
Oct 5, 2017 11:04 am BadgerBadger Note Added: 0046495
Oct 5, 2017 11:05 am BadgerBadger Note Added: 0046496
Oct 6, 2017 12:43 pm BadgerBadger Note Added: 0046497
Oct 6, 2017 7:45 pm RabidSanity Note Added: 0046499
Oct 7, 2017 4:18 pm keith.lamothe Assigned To => keith.lamothe
Oct 7, 2017 4:18 pm keith.lamothe Status new => resolved
Oct 7, 2017 4:18 pm keith.lamothe Resolution open => fixed
Oct 7, 2017 4:18 pm keith.lamothe Fixed in Version => 0.524
Oct 7, 2017 4:18 pm keith.lamothe Note Added: 0046503
Oct 7, 2017 7:06 pm jmuzz Note Added: 0046506
Oct 7, 2017 7:12 pm BadgerBadger Note Added: 0046507
Oct 7, 2017 8:52 pm RabidSanity Note Added: 0046508